--[[ include used code ]]
require "defines"
require "config"

require "scripts.evolutionDisplay"

require "interface"

--[[ local funcs ]]
local function getPluginSettingsTable()
	local settings = {
		cb_onCreateGui = "onCreateGui",-- callback interface_functionName when creating the SuperTopGui
		cb_onRemoveGui = "onRemoveGui",-- callback interface_functionName when removing the SuperTopGui
		cb_onUpdateGui = "onUpdateGui",-- callback interface_functionName when updating the SuperTopGui
		--settingsBtn_name = "evoSettings"-- name for the Settings button in "Thunder+" --> "Plugin settings";;;NOT the caption of the button!
	}
	return settings
end

local function installPlugIn()
	local remote_interfaceName = "ThunderGui"
	local remote_functionName = "registerPlugin"
	local interface = remote.interfaces[remote_interfaceName]--get interface
	if interface then--check if the interface is valid
		if interface[remote_functionName] then--check if the function is valid
			if glob.cfg.printMode and game.players[1] then
				game.players[1].print( string.format( "installing %s plugin...", MY_INTERFACE_NAME ) ) 
			end
			remote.call( remote_interfaceName, remote_functionName, MY_INTERFACE_NAME, getPluginSettingsTable() )
		end
	end
end

--[ event onInit ]
game.oninit( function()
	glob.cfg = {} --create table called cfg on the list/table for global variables
	sf_reset_cfg(glob.cfg) --place our settings in that table
	if not glob.cfg.enabled then return end --if the settings say we're off then we return our backs
	installPlugIn() 
end)

