
local function add_bottom_frame(guiFrame, playerIndex)
	local myFlow = guiFrame.add( { type="flow", direction="horizontal" } )
	myFlow.style.minimalwidth = 320
	myFlow.style.toppadding = 8
	local myElement = myFlow.add( { type= "button", name= "tfrRefreshPage", caption="back" } )
	myElement.style.fontcolor = { r=1,g=1,b=0 }
	myFlow.add( { type= "button", name= "tfrClose", caption="close" } )
end

local function create_thunderBox(player, playerIndex)
	return player.gui.center.add( { type="frame", name="thunderBox", 
		caption = "Thunder box", style="tms_frame_compact", direction="vertical"} )
end

local function open_or_renew_thunderBox(player, playerIndex)
   local myFrame = player.gui.center.thunderBox
 	if myFrame then
      myFrame.destroy();
   end
   return create_thunderBox(player, playerIndex)
end

local function get_thunderBox_minWidth()
	local remote_interfaceName = "ThunderGui"
	local remote_functionName = "getCfgProp"
	local config_propertyName = "thunderBox_minimalWidth"
	local interface = remote.interfaces[remote_interfaceName]--get interface
	if interface then--check if the interface is valid
		if interface[remote_functionName] then--check if the function is valid
			return remote.call( remote_interfaceName, remote_functionName, config_propertyName )
		end
	end
	return 360
end

function tf_evolutionDisplay_settings(player, playerIndex)
	local thunderBox_minimalWidth = get_thunderBox_minWidth()

	local myFrame = open_or_renew_thunderBox(player, playerindex)
	local myFlow = myFrame.add( { type= "flow", direction= "vertical" } )
	local myElement = myFlow.add( { type= "label", caption="I can do what i want!" } )
	myElement.style.minimalwidth = thunderBox_minimalWidth

	add_bottom_frame( myFrame, playerIndex, true)
end

